package com.mudu.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mudu.base.controller.BaseController;
import com.mudu.base.domain.AjaxResult;
import com.mudu.entity.ASafeBqbhpx;
import com.mudu.service.ASafeBqbhpxService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.io.Serializable;
import java.util.List;

/**
 * 班前班后表(ASafeBqbhpx)表控制层
 *
 * @author wu
 * @since 2024-04-26 16:43:53
 */
@RestController
@RequestMapping("pharmaceuticals/aSafeBqbhpx")
@Api(tags = "班前班后表")
@Transactional(rollbackFor = Exception.class)
public class ASafeBqbhpxController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private ASafeBqbhpxService aSafeBqbhpxService;

    /**
     * 分页条件查询所有数据
     *
     * @param page        分页条件
     * @param aSafeBqbhpx 查询条件
     * @return 所有数据
     */
    @GetMapping
    @ApiOperation(value = "分页条件查询班前班后表", response = ASafeBqbhpx.class)
    public AjaxResult page(Page<ASafeBqbhpx> page, ASafeBqbhpx aSafeBqbhpx) {
        return success(aSafeBqbhpxService.page(page, new QueryWrapper<>(aSafeBqbhpx)));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    @ApiOperation(value = "通过主键查询单条班前班后表", response = ASafeBqbhpx.class)
    public AjaxResult getById(@PathVariable Serializable id) {
        return success(aSafeBqbhpxService.getById(id));
    }

    /**
     * 新增数据
     *
     * @param aSafeBqbhpx 实体对象
     * @return 新增结果
     */
    @PostMapping
    @ApiOperation(value = "新增班前班后表", response = ASafeBqbhpx.class)
    public AjaxResult insert(@RequestBody ASafeBqbhpx aSafeBqbhpx) {
        return success(aSafeBqbhpxService.save(aSafeBqbhpx));
    }

    /**
     * 修改数据
     *
     * @param aSafeBqbhpx 实体对象
     * @return 修改结果
     */
    @PutMapping
    @ApiOperation(value = "修改班前班后表")
    public AjaxResult update(@RequestBody ASafeBqbhpx aSafeBqbhpx) {
        return success(aSafeBqbhpxService.updateById(aSafeBqbhpx));
    }

    /**
     * 删除数据
     *
     * @param idList 主键集合
     * @return 删除结果
     */
    @DeleteMapping
    @ApiOperation(value = "删除班前班后表")
    public AjaxResult delete(@RequestParam("idList") List<Long> idList) {
        return success(aSafeBqbhpxService.removeByIds(idList));
    }
}

