package com.mudu.controller;


import com.mudu.base.controller.BaseController;
import com.mudu.base.domain.AjaxResult;
import com.mudu.entity.ASafeFxd;
import com.mudu.service.ASafeFxdService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.io.Serializable;

/**
 * (ASafeFxd)表控制层
 *
 * @author wu
 * @since 2024-02-26 10:43:22
 */
@RestController
@RequestMapping("pharmaceuticals/aSafeFxd")
@Api(tags = "")
@Transactional(rollbackFor = Exception.class)
public class ASafeFxdController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private ASafeFxdService aSafeFxdService;


    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    @ApiOperation(value = "通过主键查询单条", response = ASafeFxd.class)
    public AjaxResult getById(@PathVariable Serializable id) {
        return success(aSafeFxdService.getById(id));
    }

}

