package com.mudu.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mudu.base.controller.BaseController;
import com.mudu.base.domain.AjaxResult;
import com.mudu.entity.SzsASafeZcyhxx;
import com.mudu.service.SzsASafeZcyhxxService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.io.Serializable;
import java.util.List;

/**
 * 自查任务隐患/整改(SzsASafeZcyhxx)表控制层
 *
 * @author wu
 * @since 2024-03-14 15:58:30
 */
@RestController
@RequestMapping("pharmaceuticals/szsASafeZcyhxx")
@Api(tags = "自查任务隐患/整改")
@Transactional(rollbackFor = Exception.class)
public class SzsASafeZcyhxxController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private SzsASafeZcyhxxService szsASafeZcyhxxService;

    /**
     * 分页条件查询所有数据
     *
     * @param page           分页条件
     * @param szsASafeZcyhxx 查询条件
     * @return 所有数据
     */
    @GetMapping
    @ApiOperation(value = "分页条件查询自查任务隐患/整改", response = SzsASafeZcyhxx.class)
    public AjaxResult page(Page<SzsASafeZcyhxx> page, SzsASafeZcyhxx szsASafeZcyhxx) {
        return success(szsASafeZcyhxxService.page(page, new QueryWrapper<>(szsASafeZcyhxx)));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    @ApiOperation(value = "通过主键查询单条自查任务隐患/整改", response = SzsASafeZcyhxx.class)
    public AjaxResult getById(@PathVariable Serializable id) {
        return success(szsASafeZcyhxxService.getById(id));
    }

    /**
     * 新增数据
     *
     * @param szsASafeZcyhxx 实体对象
     * @return 新增结果
     */
    @PostMapping
    @ApiOperation(value = "新增自查任务隐患/整改", response = SzsASafeZcyhxx.class)
    public AjaxResult insert(@RequestBody SzsASafeZcyhxx szsASafeZcyhxx) {
        return success(szsASafeZcyhxxService.save(szsASafeZcyhxx));
    }

    /**
     * 修改数据
     *
     * @param szsASafeZcyhxx 实体对象
     * @return 修改结果
     */
    @PutMapping
    @ApiOperation(value = "修改自查任务隐患/整改")
    public AjaxResult update(@RequestBody SzsASafeZcyhxx szsASafeZcyhxx) {
        return success(szsASafeZcyhxxService.updateById(szsASafeZcyhxx));
    }

    /**
     * 删除数据
     *
     * @param idList 主键集合
     * @return 删除结果
     */
    @DeleteMapping
    @ApiOperation(value = "删除自查任务隐患/整改")
    public AjaxResult delete(@RequestParam("idList") List<Long> idList) {
        return success(szsASafeZcyhxxService.removeByIds(idList));
    }
}

