package com.mudu.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * @author dong
 * @since 2024/3/12 14:18
 */
@Data
@ApiModel("定时任务实体类")
public class ACheckQuatzEntity {
    /**
     * 工单id
     */
    @ApiModelProperty(value = "工单id")
    private String improvingNo;
    /**
     * 企业编号
     */
    @ApiModelProperty(value = "企业名称")
    private String name;

    /**
     * 企业信用代码
     */
    @ApiModelProperty(value = "企业信用代码")
    private String entCode;

    /**
     * 人员编号
     */
    @ApiModelProperty(value = "人员编号")
    private String rybh;
    /**
     * a_safe_fxdxxbh
     */
    @ApiModelProperty(value = "a_safe_fxdxxbh")
    private String fxdxxbh;
    /**
     * 整改是否完成(-2专家拒绝,-1是需要专家复查未完成,0未成,1全部完成)
     */
    @ApiModelProperty(value = "整改是否完成(-2专家拒绝,-1是需要专家复查未完成,0未成,1全部完成)")
    private String isFinal;

    /**
     * 创建时间
     */
    @ApiModelProperty("上报时间(如果巡查一起提交,获取巡查的巡查日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reportDateTime;


    /**
     * 隐患内容
     */
    @ApiModelProperty(value = "隐患内容")
    private String description;


    /**
     * 风险点id
     */
    @ApiModelProperty(value = "风险点id")
    private String checkId;

    /**
     * 整改完成日期
     */
    @ApiModelProperty("整改完成日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date FinalDateTime;

    /**
     * 整改要求完成日期
     */
    @ApiModelProperty("整改要求完成日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date NeedFinalDateTime;

    /**
     * 复查日期
     */
    @ApiModelProperty("复查日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reviewDateTime;

    /**
     * 整改描述
     */
    @ApiModelProperty(value = "整改描述")
    private String content;

    /**
     * 复查情况
     */
    @ApiModelProperty(value = "复查情况")
    private String reviewContent;


    /**
     * 位置编号
     */
    @ApiModelProperty(value = "位置编号")
    private String wzxxbh;


    /**
     * 位置名称
     */
    @ApiModelProperty(value = "位置名称")
    private String wzmc;

    /**
     * 检查要点
     */
    @ApiModelProperty(value = "检查要点")
    private String jcydId;

}
