package com.mudu.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;


/**
 * (ASafeQyzypgl)表实体类
 *
 * @author wu
 * @since 2024-04-26 16:43:52
 */
@Data
@ApiModel("实体类")
@TableName(value = "a_safe_qyzypgl")
public class ASafeQyzypgl implements Serializable {

    private static final long serialVersionUID = -69045420615258953L;
    /**
     * 信息编号
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "信息编号")
    private String xxbh;
    /**
     * 作业类型id
     */
    @ApiModelProperty(value = "作业类型id")
    private String zylxid;
    /**
     * 作业类型value
     */
    @ApiModelProperty(value = "作业类型value")
    private String zylxvalue;

    /**
     * 作业时间
     */
    @ApiModelProperty(value = "作业时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date zysj;

    /**
     * 作业人员
     */
    @ApiModelProperty(value = "作业人员")
    private String zyry;
    /**
     * 作业地点
     */
    @ApiModelProperty(value = "作业地点")
    private String zydd;
    /**
     * 作业方式
     */
    @ApiModelProperty(value = "作业方式")
    private String zyfs;
    /**
     * 作业原因
     */
    @ApiModelProperty(value = "作业原因")
    private String zyyy;
    /**
     * 风险描述
     */
    @ApiModelProperty(value = "风险描述")
    private String fxms;
    /**
     * 防范措施
     */
    @ApiModelProperty(value = "防范措施")
    private String ffcs;
    /**
     * 作业状态 0-待签名 1-待作业 2-已作业
     */
    @ApiModelProperty(value = "作业状态 0-待签名 1-待作业 2-已作业")
    private String zyzt;
    /**
     * 企业编号
     */
    @ApiModelProperty(value = "企业编号")
    private String qybh;
    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业名称")
    private String qymc;
    /**
     * 所属部门
     */
    @ApiModelProperty(value = "所属部门")
    private String ssbm;
    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime rksj;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime gxsj;
    /**
     * 入库人员
     */
    @ApiModelProperty(value = "入库人员")
    private String rkry;
    /**
     * 更新人员
     */
    @ApiModelProperty(value = "更新人员")
    private String gxry;
    /**
     * 记录状态
     */
    @ApiModelProperty(value = "记录状态")
    private Integer jlzt;
    /**
     * 监护人员
     */
    @ApiModelProperty(value = "监护人员")
    private String jhry;
}

